Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.beans
Class ExtendedUserProfileDefinition

    java.lang.Object

      |

      +--oracle.ifs.beans.LibraryObjectDefinition

            |

            +--oracle.ifs.beans.PublicObjectDefinition

                  |

                  +--oracle.ifs.beans.UserProfileDefinition

                        |

                        +--oracle.ifs.beans.ExtendedUserProfileDefinition

public class ExtendedUserProfileDefinition
extends UserProfileDefinition

The `ExtendedUserProfileDefinition` class is used construct a ExtendedUserProfile object.

See Also:
  `LibraryObjectDefinition`, `ExtendedUserProfile`

Constructor Summary
`ExtendedUserProfileDefinition(LibrarySession session)` Constructs a ExtendedUserProfileDefinition explicitly capturing the session.

Methods inherited from class oracle.ifs.beans.UserProfileDefinition
`addCategoryDefinition`

Methods inherited from class oracle.ifs.beans.PublicObjectDefinition
`getAddToFolderOption, getCategoryDefinitions, getExplicitCreateDate, getExplicitLastModifyDate, getFreeIfLastFolderReferenceOption, getKeepLastModifyDateOption, getLockForSessionOption, getSecuringPublicObject, getUnlockForSessionOption, setAddToFolderOption, setExplicitCreateDate, setExplicitLastModifyDate, setFreeIfLastFolderReferenceOption, setKeepLastModifyDateOption, setLockForSessionOption, setSecuringPublicObject, setUnlockForSessionOption`

Methods inherited from class oracle.ifs.beans.LibraryObjectDefinition
`clone, getAttribute, getAttributes, getClassObject, getOption, getOptionKeys, removeAttribute, removeOption, setAttribute, setAttribute, setAttributeByUpperCaseName, setAttributes, setClassObject, setOption`

Constructor Detail

### ExtendedUserProfileDefinition

    public ExtendedUserProfileDefinition(LibrarySession session)
                                  throws IfsException

  Constructs a ExtendedUserProfileDefinition explicitly capturing the session.
  Parameters:
    `session` - current LibrarySession
  Throws:
    `IfsException` - if the operation fails

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD